- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDExternalReferenceManager Class Reference
[COLLADA Document Object Model.]

A FCollada document external reference manager. More...

`#include <FCDExternalReferenceManager.h>`

Inheritance diagram for FCDExternalReferenceManager:

List of all members.

## Public Member Functions
| FCDExternalReferenceManager (FCDocument *document)
| Constructor.
virtual | ~FCDExternalReferenceManager ()
| Destructor.
FCDPlaceHolder * | AddPlaceHolder (FCDocument *document)
| Adds a new FCollada document placeholder to this document.
FCDPlaceHolder * | AddPlaceHolder (const fstring &fileUrl)
| Adds a new FCollada document placeholder to this document.
size_t | GetPlaceHolderCount () const
| Retrieves the number of FCollada document that are automatically tracked by this document.
FCDPlaceHolder * | GetPlaceHolder (size_t index)
| Retrieves a FCollada document placeholder.
const FCDPlaceHolder * | GetPlaceHolder (size_t index) const
| See above.
const FCDPlaceHolder * | FindPlaceHolder (const fstring &fileUrl) const
| Retrieves the placeholder that references the FCollada document at the given URI.
FCDPlaceHolder * | FindPlaceHolder (const fstring &fileUrl)
| See above.
const FCDPlaceHolder * | FindPlaceHolder (const FCDocument *document) const
| Retrieves the placeholder that references the given FCollada document.
FCDPlaceHolder * | FindPlaceHolder (FCDocument *document)
| See above.
## Static Public Member Functions
static void | RegisterLoadedDocument (FCDocument *document)
| [INTERNAL] Registers a newly-loaded FCollada document with the other existing FCollada document.

## Detailed Description

A FCollada document external reference manager.

Each FCollada document has one and only one external reference manager. It keeps track of all the external document's, whether they are loaded or not.

By default, all external references are handled automatically. You will have to access this structure only for informational purposes or if you have disabled the automatic de-referencing feature using the FCollada::SetDereferenceFlag function.

## Constructor & Destructor Documentation

FCDExternalReferenceManager::FCDExternalReferenceManager | ( | FCDocument * | document | ) |

  | Constructor. Parameters:
  | document | The COLLADA document that owns the external reference manager.

## Member Function Documentation

FCDPlaceHolder* FCDExternalReferenceManager::AddPlaceHolder | ( | const fstring & | fileUrl | ) |

  | Adds a new FCollada document placeholder to this document. Parameters:
  | fileUrl | The URI of the external FCollada document to track.

FCDPlaceHolder* FCDExternalReferenceManager::AddPlaceHolder | ( | FCDocument * | document | ) |

  | Adds a new FCollada document placeholder to this document. Parameters:
  | document | The external FCollada document to track.

const FCDPlaceHolder* FCDExternalReferenceManager::FindPlaceHolder | ( | const FCDocument * | document | ) | const

  | Retrieves the placeholder that references the given FCollada document. Parameters:
  | document | A FCollada document.
Returns: The placeholder for the given FCollada document. This pointer will be NULL if no local entity instances reference entities within the given document.

const FCDPlaceHolder* FCDExternalReferenceManager::FindPlaceHolder | ( | const fstring & | fileUrl | ) | const

  | Retrieves the placeholder that references the FCollada document at the given URI. Parameters:
  | fileUrl | The URI of the FCollada document.
Returns: The placeholder for the FCollada document. This pointer will be NULL if no local entity instances reference entities within the document at the given URI.

FCDPlaceHolder* FCDExternalReferenceManager::GetPlaceHolder | ( | size_t | index | ) | `[inline]`

  | Retrieves a FCollada document placeholder. Parameters:
  | index | The index of the placeholder.
Returns: The placeholder at the given index.

size_t FCDExternalReferenceManager::GetPlaceHolderCount | ( |  | ) | const`[inline]`

| Retrieves the number of FCollada document that are automatically tracked by this document. Returns: The number of tracked document.

static void FCDExternalReferenceManager::RegisterLoadedDocument | ( | FCDocument * | document | ) | `[static]`

  | [INTERNAL] Registers a newly-loaded FCollada document with the other existing FCollada document. This callback is used to update all the entity instances that reference external entities. Any entity instance that references an entity within the newly-loaded FCollada document will be updated. Parameters:
  | document | The newly-loaded FCollada document.

The documentation for this class was generated from the following file:

- FCDocument/FCDExternalReferenceManager.h